Date: Saturday, February 8, 2014 @ 00:26:58
  Author: allan
Revision: 205576

upgpkg: glibc 2.19-1

upstream update

Modified:
  glibc/trunk/PKGBUILD
  glibc/trunk/glibc.install

---------------+
 PKGBUILD      |   63 ++++++--------------------------------------------------
 glibc.install |    2 -
 2 files changed, 8 insertions(+), 57 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2014-02-07 22:52:11 UTC (rev 205575)
+++ PKGBUILD    2014-02-07 23:26:58 UTC (rev 205576)
@@ -7,15 +7,15 @@
 # NOTE: adjust version in install script when locale files are updated
 
 pkgname=glibc
-pkgver=2.18
-pkgrel=12
+pkgver=2.19
+pkgrel=1
 pkgdesc="GNU C Library"
 arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/libc";
 license=('GPL' 'LGPL')
 groups=('base')
-depends=('linux-api-headers>=3.7' 'tzdata' 'filesystem>=2013.01')
-makedepends=('gcc>=4.7')
+depends=('linux-api-headers>=3.13' 'tzdata' 'filesystem>=2013.01')
+makedepends=('gcc>=4.8')
 backup=(etc/gai.conf
         etc/locale.gen
         etc/nscd.conf)
@@ -22,66 +22,17 @@
 options=('!strip' 'staticlibs')
 install=glibc.install
 source=(http://ftp.gnu.org/gnu/libc/${pkgname}-${pkgver}.tar.xz{,.sig}
-        glibc-2.18-make-4.patch
-        glibc-2.18-readdir_r-CVE-2013-4237.patch
-        glibc-2.18-malloc-corrupt-CVE-2013-4332.patch
-        glibc-2.18-strcoll-CVE-2012-4412+4424.patch
-        glibc-2.18-ptr-mangle-CVE-2013-4788.patch
-        glibc-2.18-getaddrinfo-CVE-2013-4458.patch
-        glibc-2.18-getaddrinfo-assertion.patch
-        glibc-2.18-scanf-parse-0e-0.patch
-        glibc-2.18-strstr-hackfix.patch
         glibc-2.18-xattr-compat-hack.patch
-        nscd.service
-        nscd.tmpfiles
         locale.gen.txt
         locale-gen)
-md5sums=('88fbbceafee809e82efd52efa1e3c58f'
+md5sums=('e26b8cc666b162f999404b03970f14e4'
          'SKIP'
-         'e1883c2d1b01ff73650db5f5bb5a5a52'
-         '154da6bf5a5248f42a7bf5bf08e01a47'
-         'b79561ab9dce900e9bbeaf0d49927c2b'
-         'c7264b99d0f7e51922a4d3126182c40a'
-         '9749ba386b08a8fe53e7ecede9bf2dfb'
-         '71329fccb8eb583fb0d67b55f1e8df68'
-         'd4d86add33f22125777e0ecff06bc9bb'
-         '01d19fe9b2aea489cf5651530e0369f2'
-         '4441f6dfe7d75ced1fa75e54dd21d36e'
          '7ca96c68a37f2a4ab91792bfa0160a24'
-         'd5fab2cd3abea65aa5ae696ea4a47d6b'
-         'da662ca76e7c8d7efbc7986ab7acea2d'
          '07ac979b6ab5eeb778d55f041529d623'
          'b5fd017036fb91199ee76f670da8c15b')
 
 prepare() {
   cd ${srcdir}/${pkgname}-${pkgver}
-
-  # compatibility with make-4.0 (submitted upstream)
-  patch -p1 -i $srcdir/glibc-2.18-make-4.patch
-
-  # upstream commit 91ce4085
-  patch -p1 -i $srcdir/glibc-2.18-readdir_r-CVE-2013-4237.patch
-
-  # upstream commits 1159a193, 55e17aad and b73ed247
-  patch -p1 -i $srcdir/glibc-2.18-malloc-corrupt-CVE-2013-4332.patch
-
-  # upstream commits 1326ba1a, 141f3a77 and 303e567a
-  patch -p1 -i $srcdir/glibc-2.18-strcoll-CVE-2012-4412+4424.patch
-
-  # upstream commits c61b4d41 and 0b1f8e35
-  patch -p1 -i $srcdir/glibc-2.18-ptr-mangle-CVE-2013-4788.patch
-
-  # upstream commit 7cbcdb36
-  patch -p1 -i $srcdir/glibc-2.18-getaddrinfo-CVE-2013-4458.patch
-
-  # upstream commit 894f3f10
-  patch -p1 -i $srcdir/glibc-2.18-getaddrinfo-assertion.patch
-
-  # upstream commit a4966c61
-  patch -p1 -i $srcdir/glibc-2.18-scanf-parse-0e-0.patch
-
-  # hack fix for strstr issues on x86
-  patch -p1 -i $srcdir/glibc-2.18-strstr-hackfix.patch
   
   # hack fix for {linux,sys}/xattr.h incompatibility
   patch -p1 -i $srcdir/glibc-2.18-xattr-compat-hack.patch
@@ -153,8 +104,8 @@
   install -dm755 ${pkgdir}/usr/lib/{locale,systemd/system,tmpfiles.d}
 
   install -m644 ${srcdir}/${pkgname}-${pkgver}/nscd/nscd.conf 
${pkgdir}/etc/nscd.conf
-  install -m644 ${srcdir}/nscd.service ${pkgdir}/usr/lib/systemd/system
-  install -m644 ${srcdir}/nscd.tmpfiles ${pkgdir}/usr/lib/tmpfiles.d/nscd.conf
+  install -m644 ${srcdir}/${pkgname}-${pkgver}/nscd/nscd.service 
${pkgdir}/usr/lib/systemd/system
+  install -m644 ${srcdir}/${pkgname}-${pkgver}/nscd/nscd.tmpfiles 
${pkgdir}/usr/lib/tmpfiles.d/nscd.conf
 
   install -m644 ${srcdir}/${pkgname}-${pkgver}/posix/gai.conf 
${pkgdir}/etc/gai.conf
 

Modified: glibc.install
===================================================================
--- glibc.install       2014-02-07 22:52:11 UTC (rev 205575)
+++ glibc.install       2014-02-07 23:26:58 UTC (rev 205576)
@@ -4,7 +4,7 @@
 post_upgrade() {
   ldconfig -r .
   
-  if [[ $(vercmp 2.18 $2) = 1 ]]; then
+  if [[ $(vercmp 2.19 $2) = 1 ]]; then
     locale-gen
   fi
   

Reply via email to